Bug 1021386 - shmall defined incorrectly
shmall defined incorrectly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Performance_Tuning_Guide (Show other bugs)
6.0
All Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Laura Bailey
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 04:21 EDT by Robert.Colvin
Modified: 2014-09-07 20:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-07 20:17:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert.Colvin 2013-10-21 04:21:09 EDT
Description of problem:

Performance Tuning Guide (https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html-single/Performance_Tuning_Guide/index.html) states the following about kernel parameter shmall 

Defines the total amount of shared memory in bytes that can be used on the system at one time. The default value for machines with 64-bit architecture is 4294967296; for 32-bit architecture the default value is 268435456. 

The correct unit is pages, as stated in /usr/share/doc/kernel-doc-2.6.32/Documentation/vm/hugetlbpage.txt

Version-Release number of selected component (if applicable):
Edition 4.0

How reproducible:
Documentation Fault: 

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Laura Bailey 2013-11-26 19:11:33 EST
Unfortunately this could not be corrected in time for RHEL 6.5 GA; it will be corrected in RHEL 6.6. Thankyou for pointing out this error!
Comment 3 Laura Bailey 2014-06-12 02:04:08 EDT
Linda, can someone from your group confirm that shmall (and presumably shmmax) values are measured in pages, not bytes?

Cheers,
Laura B
Comment 4 Laura Bailey 2014-06-26 02:46:40 EDT
Removing the 6.6 flag, as this update can be made asynchronously.
Comment 7 Laura Bailey 2014-07-22 22:36:43 EDT
Docs have been corrected; shmall is now noted in pages. shmmax is still noted as measured in bytes, but I believe this is correct.

Linda, can someone from your group confirm please?
Comment 12 Laura Bailey 2014-09-07 20:17:59 EDT
The corrected document went live over the weekend; the updated content is visible here: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Performance_Tuning_Guide/s-memory-captun.html

Thanks again for reporting this, Robert! Any further problems, just let me know.

Note You need to log in before you can comment on or make changes to this bug.